## ircii 20190117

=== source/rijndael/Makefile ===
CFLAGS=-Wall -O2 -DTRACE_KAT_MCT=1

rijndaeltest-ref:	rijndaeltest-ref.o rijndael-api-ref.o rijndael-alg-ref.o

cbctest:	cbctest.o rijndael-api-ref.o rijndael-alg-ref.o

## ircii 20051015

=== debian/changelog ===
ircii (20051015-3) unstable; urgency=low

  * QA upload.
  * Migrate to source format 3.0 (quilt) 
  * Include changes from NMU, thanks to Peter Eisentraut
  * Add a watch file but the upstream version does not currently build.
  * ircII goes reverse color when switching colour to on in xterms
    (Closes: #61008)
  * Fix period preceded by space and underlined in -c option
    documentation on ircII manual page (Closes: #577039)
  * Fix .Tp typo in manpage (lintian)

 -- Neil Williams <codehelp@debian.org>  Sat, 14 May 2011 17:06:26 +0100

ircii (20051015-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * Moved purge rules from prerm to postrm (closes: #455020)

 -- Peter Eisentraut <petere@debian.org>  Sat, 05 Apr 2008 00:42:22 +0200

ircii (20051015-2.2) unstable; urgency=low

  * Non-maintainer upload from the Zurich BSP
  * Add -ioption to local include paths so they do not cover the system
    headers with the same name. This fixes errors/warnings about implicitly
    converted pointers. (Closes: #393547, #460342)

 -- Tobias Klauser <tklauser@access.unizh.ch>  Sat, 12 Jan 2008 22:30:02 +0100

ircii (20051015-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply a patch to fix a SEGV in mksiginc, thanks to brian m. carlson.
    (Closes: #377630)

 -- Philipp Kern <pkern@debian.org>  Sun, 21 Oct 2007 11:33:50 +0200

ircii (20051015-2) unstable; urgency=medium
  
  * fixed persisting input prompt (Closes: Bug#337406)
    This fix was provided by Bernhard R. Link
  * avoid crash on exiting /help (Closes: Bug#393158)
    This fix was provided by Bernhard R. Link
  * enable debugging info for Binaries (Closes: Bug#393142)
    This fix was provided by Bernhard R. Link
  * removed bashism in debian/rules (Closes: Bug#375481)
  * IRCNAME example in man page is fixed for some time (Closes: Bug#214139)
  * supports UTF-8 (Closes: Bug#335467)
  * new Version also fixed help segfault (Closes: Bug#66446)

 -- Bernd Eckenfels <ecki@debian.org>  Sun, 15 Oct 2006 19:44:02 +0200

ircii (20051015-1) unstable; urgency=low
  
  * oops, the last version did not provide utf8, this does.

 -- Bernd Eckenfels <ecki@debian.org>  Tue, 25 Oct 2005 00:04:54 +0200

ircii (20040820-2) unstable; urgency=low
  
  * oops, thats not the version which supports UTF-8 - sorry

 -- Bernd Eckenfels <ecki@debian.org>  Mon, 24 Oct 2005 23:56:57 +0200

ircii (20040820-1) unstable; urgency=low
  
  * new upstream version (Closes: Bug #335467)
  * new standards version
  * no config questions anymore (Closes: Bug #109996)

 -- Bernd Eckenfels <ecki@debian.org>  Mon, 24 Oct 2005 22:52:00 +0200

ircii (20030315-1) unstable; urgency=high
  
  * new upstream version, fixes security problem
    (buffer overflow exploitable by servers as reported in #188223)
  * standards version 3.5.6.0 -> 3.5.9.0 (DEB_BUILD_OPTIONS Support added)

 -- Bernd Eckenfels <ecki@debian.org>  Mon, 21 Apr 2003 19:51:33 +0200

ircii (20020912-2) unstable; urgency=low
  
  * increased help buffer (Closes: Bug #66446)
  * specify override for += -s/-g for DEB_BUILD_OPTIONS

 -- Bernd Eckenfels <ecki@debian.org>  Fri, 04 Oct 2002 02:54:37 +0200

ircii (20020912-1) unstable; urgency=low
  
  * new upstream version

 -- Bernd Eckenfels <ecki@debian.org>  Tue, 17 Sep 2002 08:47:45 +0200

ircii (20020403-2) unstable; urgency=low
  
  * removed *.orig files
  * ensure sane permission of ircII scripts

 -- Bernd Eckenfels <ecki@debian.org>  Mon, 09 Sep 2002 06:34:35 +0200

ircii (20020403-1) unstable; urgency=low
  
  * new upstream
  * little less verbose postinst
  * moved to main/net from non-US

 -- Bernd Eckenfels <ecki@debian.org>  Mon, 09 Sep 2002 05:22:44 +0200

ircii (20020322-1) unstable; urgency=low
  
  * new upstream, fixing a lot of bugs (#118566, #30035, #51144, #87578,
    #71611, #72799, #79628, #103469, #113884, #118107, #55396)
  * irc_path does not contain ~ anymore (Closes: #132339)
  * upgraded from 3.1.0 to 3.5.6.0 (added DEB_)

 -- Bernd Eckenfels <ecki@debian.org>  Tue, 26 Mar 2002 19:02:22 +0100

ircii (20010612-4) unstable; urgency=low

  * fixed speling of urgency field in changelog (here) (Closes: 107981)
 
 -- Bernd Eckenfels <ecki@debian.org>  Wed,  8 Aug 2001 02:55:50 +0200

ircii (20010612-3) unstable; Urgency=low

  * added resize fix bug from matthew (Closes: 107763)
 
 -- Bernd Eckenfels <ecki@debian.org>  Mon,  6 Aug 2001 19:20:10 +0200

ircii (20010612-2) unstable; Urgency=low

  * fixed build dependency on curses (Closes: #107110)
 
 -- Bernd Eckenfels <ecki@debian.org>  Tue, 31 Jul 2001 01:18:51 +0200

ircii (20010612-1) unstable; Urgency=low

  * new upstream version, may fix a lot of bugs (colour)
 
 -- Bernd Eckenfels <ecki@debian.org>  Sun, 29 Jul 2001 00:44:19 +0200

ircii (4.4Z-3) unstable; Urgency=high

  * Security: this release will remove . from the LOAD_PATH. Note: it 
    still has "~/.irc" as the first element to actually allow to overwrite
    system scripts. Thanks to Sami Liedes.
  * fixed bashism in prerm (make lintian more happy)
  * strip binaries with install -s (make lintian even more happy)
 
 -- Bernd Eckenfels <ecki@debian.org>  Mon, 12 Feb 2001 03:13:48 +0100

ircii (4.4Z-2) unstable; Urgency=low

  * added strmcpy patch to keep it from segfaulting from David Murn
    fixes bug #72799. Reported Upstream.
 
 -- Bernd Eckenfels <ecki@debian.org>  Sat, 30 Sep 2000 02:35:17 +0200

ircii (4.4Z-1) unstable; Urgency=low

  * new upstream version, closes bug #71496
 
 -- Bernd Eckenfels <ecki@debian.org>  Wed, 13 Sep 2000 02:10:55 +0200

ircii (4.4U-2) unstable; Urgency=low

  * new upstream version
  * includes IPv6 support now!
  * fixes bug #66297 and #65217
 
 -- Bernd Eckenfels <ecki@debian.org>  Sat,  1 Jul 2000 14:43:01 +0200

ircii (4.4M-1) frozen unstable; Urgency=high

  * fixed dcc chat exploit from bladi & aLmUDeNa
  * still contains noinfect patch and additional support for absolute path
    names of server and motd file
  * no ipv6 support in the frozen tree, yet



=== debian/control ===
Source: ircii
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>=7), libncurses5-dev
Standards-Version: 3.9.2
Homepage: http://www.eterna.com.au/ircii/
Vcs-Svn: svn://svn.debian.org/collab-maint/ext-maint/ircii/trunk
Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/ext-maint/ircii/trunk/?op=log

Package: ircii
Architecture: any
Provides: irc
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Internet Relay Chat client
 The ircII program is a full screen, termcap based interface
 to Internet Relay Chat. It gives full access to all
 of the normal IRC functions, plus a variety of additional
 options. This Version is able to display mIRC colors.
 It supports "/encrypt -cast"

=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules	for ircII
#
# Copyright 1996-2000 by Bernd Eckenfels
#
# Based on Example Copyright 1994,1995 by Ian Jackson.
#

package=ircii
default_server=irc.debian.org

INSTALL_PROGRAM=install -m 755 -o root -g root
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
INSTALL_PROGRAM += -s
endif

# -- Targets --

build:
	$(checkdir)
	IRCLIB=/usr/share/ircII/ ./configure --enable-ipv6 --prefix=/usr --with-default-server=$(default_server) --with-non-blocking=posix --with-cast
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	$(MAKE) CFLAGS="-Wall -O0 -g -DDEBIAN" IRC_PATH="~/.irc:/etc/irc/script/:/usr/share/ircII/script/:/usr/lib/irc/script/"
else
	$(MAKE) CFLAGS="-Wall -O2 -g -DDEBIAN" IRC_PATH="~/.irc:/etc/irc/script/:/usr/share/ircII/script/:/usr/lib/irc/script/"
endif
	touch build

clean:
	$(checkdir)
	dh_testdir
	dh_clean
	-rm -f build
#	-$(MAKE) -f Makefile.in -i distclean RM=/bin/rm
	-rm -f *~ */*~ */*/*~ *.o core */core include/config.h source/defs.h Makefile confdefs.h config.log defs.h config.h
	-rm -f irc ircII wserv ircio ircflush wterm.c
	-rm -f sig.inc config.status config.h Makefile include/Makefile ircbug config.cache
	-rm -f mksiginc
	-rm -rf DEADJOE */DEADJOE *~ debian/tmp debian/*~ debian/files* debian/substvars

binary-indep:	checkroot build
	$(checkdir)

# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	dh_testdir
	dh_testroot
	mv irc ircII
	chmod 644 script/autoquery
	dh_install
	dh_installdocs
	dh_installman
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

define checkdir
	test -f source/irc.c
endef

# Below here is fairly generic really

binary:	binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary clean checkroot

## ircii 20060725

=== debian/changelog ===
ircii (20060725-1build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:42:03 +0000

ircii (20060725-1) unstable; urgency=low

  * QA upload
  * new upstream version (not newest but newest still having utf-8 support)
  * drop some modifications
  - those included upstream (or fixed otherwise)
  - no longer limit check against dcc sending files from /etc to novice mode
  * fix some spelling mistakes (to appease lintian)
  * modernize debian/rules
  - implement build-arch, build-indep
  - use dpkg-buildflags
  * if creating new /etc/irc/servers, put irc.debian.org in there
  * cherry-pick fix to not access server -1 (avoiding segv in some situations)
    (Closes: 175099, 258929, 175029, 175169, 163196)
  * add some more copyright holders and licenses to debian/copyright

 -- Bernhard R. Link <brlink@debian.org>  Mon, 07 Nov 2011 14:57:07 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Build-Depends: debhelper (>=7), libncurses5-dev
 Standards-Version: 3.9.2
 Homepage: http://www.eterna.com.au/ircii/
-Vcs-Svn: svn://svn.debian.org/collab-maint/ext-maint/ircii/trunk
-Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/ext-maint/ircii/trunk/?op=log
+Vcs-Git: git://anonscm.debian.org/collab-maint/ircii.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ircii.git;a=summary
 
 Package: ircii
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

default_server=irc.debian.org

CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

build-arch: build-stamp
build-indep:
build: build-stamp

CPPFLAGS += -D_GNU_SOURCE=1 -DDEBIAN
CFLAGS += -Wall

build-stamp:
	dh_testdir
	LDFLAGS='$(LDFLAGS)' CPPFLAGS='$(CPPFLAGS)' CFLAGS='$(CFLAGS)' IRCLIB=/usr/share/ircII/ ./configure --enable-ipv6 --prefix=/usr --with-default-server=$(default_server) --with-non-blocking=posix --with-cast
	# $(MAKE) mksigincc DEFS='$(CPPFLAGS)'
	$(MAKE) DEFS='$(CPPFLAGS)' IRC_PATH="~/.irc:/etc/irc/script/:/usr/share/ircII/script/:/usr/lib/irc/script/" irc
	$(MAKE) DEFS='$(CPPFLAGS)' LIBS="" ircio ircflush wserv
	touch build-stamp

clean:
	dh_testdir
	dh_clean
	rm -f build-stamp
#	-$(MAKE) -f Makefile.in -i distclean RM=/bin/rm
	-rm -f *~ */*~ */*/*~ *.o core */core include/config.h source/defs.h Makefile confdefs.h config.log defs.h config.h
	-rm -f irc ircII wserv ircio ircflush wterm.c
	-rm -f sig.inc config.status config.h Makefile include/Makefile ircbug config.cache
	-rm -f mksiginc
	-rm -rf DEADJOE */DEADJOE *~ debian/tmp debian/*~ debian/files* debian/substvars

binary-arch: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	mv irc ircII
	dh_install
	chmod a-x debian/ircii/usr/share/ircII/script/autoquery
	echo "set CLIENT_INFORMATION ircii-debian 20060725" > debian/ircii/usr/share/ircII/script/version
	dh_installdocs
	dh_installman
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:
binary:	binary-indep binary-arch

.PHONY: build build-arch build-indep binary binary-arch binary-indep clean

=== debian/watch ===
version=3
ftp://ircftp.au.eterna.com.au/pub/ircII/ircii-([0-9]+)\.tar\.bz2

## ircii 20151120

=== debian/changelog ===
ircii (20151120-1) unstable; urgency=medium

  [ Daniel Echeverry ]
  * QA upload.
  * New upstream release. Closes: #747700
  * Update debian/watch file.
  * debian/control
    + Use HTTPS in Vcs-* fields
    + Bump Standards-Version to 3.9.7
    + Change debhelper to 9 in B-D.
    + Add libssl-dev in B-D.
  * debian/compat
    + Switch compat level 7 to 9.
  * debian/rules
    + Migrate to dh tiny rules.
    + Use Hardening flags.
  * debian/copyright:
    + Rewrite following copyright-format 1.0
  * debian/patches
    + Remove 0001-do-not-underline-period.patch
      + Merge with upstream
    + Remove 0005-avoid-crash-on-exiting-help.patch
      + Merge with upstream
    + Remove 0007-fix-segv-after-showing-motd.patch
      + Merge with upstream
    + Add 0007-fix_security_problems.diff
      + Fix some security errors to prevent FTBFS
    + Add 0008-fix-spelling-error.diff  patch
      + Fix some spelling errors in source code
    + Others patches are updated.
  * Update watch file. Closes: #721391
    + thanks  to Grant Bowman for the patch
  * Add ircii.docs file.
  * Update ircii.install file.
    + Now the documentation install from docs file
  * Add clean file
  * Use wrap-and-sort
  * update ircii.manpages file
    + Add wserv.1, ircio.1, ircflush.1 Closes: #721958

  [ Axel Beckert ]
  * Add debian/gbp.conf to be able to work on the package with gbp, too.
  * Update Tobias Klauser's e-mail address in debian/copyright and
    0003-Add-ioption-to-local-include-paths-so-they-do-not-co.patch.

 -- Daniel Echeverry <epsilon77@gmail.com>  Wed, 17 Feb 2016 11:13:36 -0500

=== debian/control ===
Source: ircii
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>=9), libncurses5-dev, libssl-dev
Standards-Version: 3.9.7
Homepage: http://www.eterna.com.au/ircii/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/ircii.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ircii.git

Package: ircii
Architecture: any
Provides: irc
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Internet Relay Chat client
 The ircII program is a full screen, termcap based interface
 to Internet Relay Chat. It gives full access to all
 of the normal IRC functions, plus a variety of additional
 options. This Version is able to display mIRC colors.
 It supports "/encrypt -cast"

=== debian/watch ===
version=3
http://ircii.warped.com/ircii-(\d\S+)\.tar\.(?:bz2|gz|xz)

## ircii 20170704

=== debian/changelog ===
ircii (20170704-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:50:06 +0000

ircii (20170704-1) unstable; urgency=medium

  * QA Upload.
  * New upstream release.
  * debian/control
    + Change debhelper to 10 in B-D.
    + Bump Standards-Version to 4.0.0 (no changes).
  * debian/compat
    + Switch compat level 9 to 10.
  * debian/copyright
    + Extend copyright holders years.
    + Add missing copyright holders.
  * debian/patches
    + Refresh 0008-fix-spelling-error.diff
    + Refresh 0006-fix-some-spelling-errors.patch
    + Refresh 0007-fix_security_problems.diff

 -- Daniel Echeverry <epsilon77@gmail.com>  Mon, 10 Jul 2017 21:47:48 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: ircii
 Section: net
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>=9), libncurses5-dev, libssl-dev
-Standards-Version: 3.9.7
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper (>=10), libncurses5-dev, libssl-dev
+Standards-Version: 4.0.0
 Homepage: http://www.eterna.com.au/ircii/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/ircii.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ircii.git

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
CFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
export IRCLIB=/usr/share/ircII/
IRC_PATH="~/.irc:/etc/irc/script/:/usr/share/ircII/script/:/usr/lib/irc/script/"
default_server=irc.debian.org

%:
	dh  $@

override_dh_auto_configure:
	dh_auto_configure --  --enable-ipv6 --prefix=/usr --with-default-server=$(default_server) --with-non-blocking=posix 

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"

override_dh_auto_install:
	mv irc ircII

override_dh_fixperms:
	dh_fixperms
	chmod a-x $(CURDIR)/debian/ircii/usr/share/ircII/script/autoquery

override_dh_install:
	dh_install
	echo "set CLIENT_INFORMATION ircii-debian `dpkg-parsechangelog -SVersion `" > debian/ircii/usr/share/ircII/script/version

## ircii 20190117

=== debian/changelog ===
ircii (20190117-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/control
    + Bump Standards-Version to 4.3.0. (no changes).
    + Bump Debhelper compat to 12.
  * debian/patches
    + Refresh 0008-fix-spelling-error.diff patch.
    + Refresh 0003-Add-ioption-to-local-include-paths-so-they-do-not-co.patch.
    + Refresh 0004-absolute-path-for-motd-and-servers-file-and-other-de.patch.
    + Refresh 0006-fix-some-spelling-errors.patch.
    + Remove 0007-fix_security_problems.diff patch.
      + Merge with upstream.
  * debian/rules
    + inject CPPFLAGS to CFLAGS.
  * debian/compat
    + Switch compat level 11 to 12.

 -- Daniel Echeverry <epsilon@debian.org>  Wed, 20 Feb 2019 23:35:56 -0500

ircii (20170704-2) unstable; urgency=medium

  * QA upload.
  * Rebuild against gcc 8.
  * debian: Apply "wrap-and-sort -abst".
  * debian: Bump debhelper compat to v11.
  * debian/control:
    + Bump Standards-Version to 4.2.1.
    + Update Vcs-* fields and use repo under Salsa Debian group.
  * debian/gbp.conf: Update to fit DEP-14 convention.
  * debian/rules: Modernize instructions, use dh_missing --fail-missing.
  * debian/copyright: Use secure uri when possible.

 -- Boyuan Yang <byang@debian.org>  Thu, 13 Sep 2018 15:29:06 -0400

=== debian/control ===
Source: ircii
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper (>= 12),
 libncurses5-dev,
 libssl-dev,
Standards-Version: 4.3.0
Homepage: http://www.eterna.com.au/ircii/
Vcs-Git: https://salsa.debian.org/debian/ircii.git
Vcs-Browser: https://salsa.debian.org/debian/ircii

Package: ircii
Architecture: any
Provides:
 irc,
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Internet Relay Chat client
 The ircII program is a full screen, termcap based interface
 to Internet Relay Chat. It gives full access to all
 of the normal IRC functions, plus a variety of additional
 options. This Version is able to display mIRC colors.
 It supports "/encrypt -cast"

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

include /usr/share/dpkg/pkg-info.mk

export IRCLIB=/usr/share/ircII/
IRC_PATH="~/.irc:/etc/irc/script/:/usr/share/ircII/script/:/usr/lib/irc/script/"
default_server=irc.debian.org
CFLAGS += $(CPPFLAGS)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure --  --enable-ipv6 --prefix=/usr --with-default-server=$(default_server) --with-non-blocking=posix

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"

override_dh_auto_install:
	mv irc ircII

override_dh_fixperms:
	dh_fixperms
	chmod a-x $(CURDIR)/debian/ircii/usr/share/ircII/script/autoquery

override_dh_install:
	dh_install
	echo "set CLIENT_INFORMATION ircii-debian $(DEB_VERSION)" > debian/ircii/usr/share/ircII/script/version

override_dh_missing:
	dh_missing --fail-missing

## ircii 20210314+really20190117

=== debian/changelog ===
ircii (20210314+really20190117-1) unstable; urgency=medium

  * QA upload.
  * Revert to previous release, because of freeze.
  * Add patch to Fix CVE-2021-29376 Closes: #986214

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Sun, 30 May 2021 22:39:28 +0200

ircii (20210314-1) unstable; urgency=medium

  * QA Upload.
  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Changes Urgency by urgency in changelog file.

  * New upstream release.
    Fix (CVE-2021-29376). (Closes: #986214).
  * debian/control
    + Bump Standards-Version to 4.5.1. (no changes).
    + Bump Debhelper-compat to 13.
    + Add Rules-Requires-Root: no.
  * debian/patches
    + Refresh:
      + 0008-fix-spelling-error.diff
      + 0003-Add-ioption-to-local-include-paths-so-they-do-not-co.patch
      + 0004-absolute-path-for-motd-and-servers-file-and-other-de.patch
      + 0006-fix-some-spelling-errors.patch
  * debian/rules
    + Remove --as-needed linker flag.
  * debian/watch
    + Update to version 4.
  * Update copyright file.

 -- Daniel Echeverri <epsilon@debian.org>  Sun, 11 Apr 2021 11:19:42 -0500

## ircii 20210328

=== debian/changelog ===
ircii (20210328-2) unstable; urgency=medium

  * Upload to unstable 

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 30 Aug 2021 01:20:52 +1000

ircii (20210328-1) experimental; urgency=medium

  * New upstream release
  * New maintainer
    Closes: #485996

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 17 Jun 2021 19:59:16 +1000

ircii (20010612-3) unstable; urgency=low

  * added resize fix bug from matthew (Closes: 107763)

 -- Bernd Eckenfels <ecki@debian.org>  Mon,  6 Aug 2001 19:20:10 +0200

ircii (20010612-2) unstable; urgency=low

  * fixed build dependency on curses (Closes: #107110)

 -- Bernd Eckenfels <ecki@debian.org>  Tue, 31 Jul 2001 01:18:51 +0200

ircii (20010612-1) unstable; urgency=low

  * new upstream version, may fix a lot of bugs (colour)

 -- Bernd Eckenfels <ecki@debian.org>  Sun, 29 Jul 2001 00:44:19 +0200

ircii (4.4Z-3) unstable; urgency=high

  * Security: this release will remove . from the LOAD_PATH. Note: it
    still has "~/.irc" as the first element to actually allow to overwrite
    system scripts. Thanks to Sami Liedes.
  * fixed bashism in prerm (make lintian more happy)
  * strip binaries with install -s (make lintian even more happy)

 -- Bernd Eckenfels <ecki@debian.org>  Mon, 12 Feb 2001 03:13:48 +0100

ircii (4.4Z-2) unstable; urgency=low

  * added strmcpy patch to keep it from segfaulting from David Murn
    fixes bug #72799. Reported Upstream.

 -- Bernd Eckenfels <ecki@debian.org>  Sat, 30 Sep 2000 02:35:17 +0200

ircii (4.4Z-1) unstable; urgency=low

  * new upstream version, closes bug #71496

 -- Bernd Eckenfels <ecki@debian.org>  Wed, 13 Sep 2000 02:10:55 +0200

ircii (4.4U-2) unstable; urgency=low

  * new upstream version
  * includes IPv6 support now!
  * fixes bug #66297 and #65217

 -- Bernd Eckenfels <ecki@debian.org>  Sat,  1 Jul 2000 14:43:01 +0200

ircii (4.4M-1) frozen unstable; urgency=high

  * fixed dcc chat exploit from bladi & aLmUDeNa
  * still contains noinfect patch and additional support for absolute path
    names of server and motd file
  * no ipv6 support in the frozen tree, yet

 -- Bernd Eckenfels <ecki@debian.org>  Sun, 12 Mar 2000 03:35:28 +0100

Old Changelog:

ircii (4.4L-6) unstable; urgency=low, Closes=35198

  * upstream colour support is activated by SET COLOUR (#50521)

 -- Bernd Eckenfels <ecki@debian.org>  Sat, 20 Nov 1999 19:37:26 +0100

ircii (4.4L-5) unstable; urgency=low, Closes=35198

  * use protocols/talkd.h (#35198)

 -- Bernd Eckenfels <ecki@debian.org>  Wed,  3 Nov 1999 03:46:36 +0100

ircii (4.4L-4) unstable; urgency=low, Closes=37097 44700

  * reupload because of missing source in first try to non-us

 -- Bernd Eckenfels <ecki@debian.org>  Sun,  3 Oct 1999 23:07:39 +0200

ircii (4.4L-3) unstable; urgency=low, Closes=37097 44700

  * remove old link in /isr/lib/irc/ircII.servers before any other checks

 -- Bernd Eckenfels <ecki@debian.org>  Sat, 25 Sep 1999 23:08:11 +0200

ircii (4.4L-2) unstable; urgency=low, Closes=37097 44700

  * fixed bug in my bufffer-overflow fix which made /on fail

 -- Bernd Eckenfels <ecki@debian.org>  Sat, 25 Sep 1999 21:13:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: ircii
 Section: net
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
 Build-Depends:
- debhelper (>= 12),
+ debhelper-compat (= 13),
  libncurses5-dev,
  libssl-dev,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Homepage: http://www.eterna.com.au/ircii/
 Vcs-Git: https://salsa.debian.org/debian/ircii.git
 Vcs-Browser: https://salsa.debian.org/debian/ircii
+Rules-Requires-Root: no
 
 Package: ircii
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,6 @@
 
 # see FEATURE AREAS in dpkg-buildflags(1)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 include /usr/share/dpkg/pkg-info.mk

## ircii 20240918

=== debian/changelog ===
ircii (20240918-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.7.0

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 01 Jan 2025 09:38:40 +1100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  debhelper-compat (= 13),
  libncurses5-dev,
  libssl-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
 Homepage: http://www.eterna.com.au/ircii/
 Vcs-Git: https://salsa.debian.org/debian/ircii.git
 Vcs-Browser: https://salsa.debian.org/debian/ircii

=== debian/watch ===
version=4
http://ircii.warped.com/ircii-(\d\S+)\.tar\.(?:bz2|gz|xz)
